<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRfProgFiltCoeff_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRfProgFiltCoeff_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Array of coefficients for the RF programmable filter.  
 <a href="structrl_rf_prog_filt_coeff__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aee424df0b3cfae3a8d5ccda915fec9ab"><td class="memItemLeft" align="right" valign="top">rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_prog_filt_coeff__t.html#aee424df0b3cfae3a8d5ccda915fec9ab">coeffArray</a> [104]</td></tr>
<tr class="memdesc:aee424df0b3cfae3a8d5ccda915fec9ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">The array of coefficients for the programmable filter, across all profiles, to be stored in the coefficient RAM. Each tap is a 16-bit signed number. The exact set of taps to be used for a given profile can be specified through rlRfProgFiltConf. <br />
 For each profile Maximum of 26 taps can be configured. If multiple profiles are used, all the filter taps across profiles are to be provided in one shot. <br />
 There is a HW constraint that each profile's filter taps should start at an even address. <br />
.  <a href="#aee424df0b3cfae3a8d5ccda915fec9ab">More...</a><br /></td></tr>
<tr class="separator:aee424df0b3cfae3a8d5ccda915fec9ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Array of coefficients for the RF programmable filter. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="aee424df0b3cfae3a8d5ccda915fec9ab"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt16_t rlRfProgFiltCoeff_t::coeffArray[104]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The array of coefficients for the programmable filter, across all profiles, to be stored in the coefficient RAM. Each tap is a 16-bit signed number. The exact set of taps to be used for a given profile can be specified through rlRfProgFiltConf. <br />
 For each profile Maximum of 26 taps can be configured. If multiple profiles are used, all the filter taps across profiles are to be provided in one shot. <br />
 There is a HW constraint that each profile's filter taps should start at an even address. <br />
. </p>
<p>For e.g If b[i,j] is filter coefficient For Profile i(0,1,2,3) and tap j(0...25), if numProfile = 4 and below is configured in rlRfProgFiltConf <br />
 rlRfProgFiltConf[profileId = 0]. progFiltLen = 26 <br />
 rlRfProgFiltConf[profileId = 1]. progFiltLen = 26, <br />
 rlRfProgFiltConf[profileId = 2]. progFiltLen = 26, <br />
 rlRfProgFiltConf[profileId = 3]. progFiltLen = 26, <br />
 rlRfProgFiltConf[profileId = 0]. coeffStartIdx = 0 <br />
 rlRfProgFiltConf[profileId = 1]. coeffStartIdx = 26 <br />
 rlRfProgFiltConf[profileId = 2]. coeffStartIdx = 52 <br />
 rlRfProgFiltConf[profileId = 3]. coeffStartIdx = 78 <br />
 one need to define this array as following:<br />
 coeffArray[0:103] = b[0,0], b[0,1]....b[0,25],b[1,0],b[1,1].... b[1,25],b[2,0],b[2,1]....b[2,25],b[3,0],b[3,1]....b[3,25]<br />
 if numProfile = 1 and below is configured in rlRfProgFiltConf <br />
 rlRfProgFiltConf[profileId = 0]. coeffStartIdx = 0 <br />
 rlRfProgFiltConf[profileId = 0]. progFiltLen = 10, <br />
 then one need to define this array as following: <br />
 coeffArray[0:103] = b[0,0], b[0,1]....b[0,9],0,0,0,.....0 <br />
 if numProfile = 2 and below is configured in rlRfProgFiltConf <br />
 rlRfProgFiltConf[profileId = 0]. progFiltLen = 10, <br />
 rlRfProgFiltConf[profileId = 1]. progFiltLen = 20, <br />
 rlRfProgFiltConf[profileId = 1]. coeffStartIdx = 10 <br />
 then one need to define this array as following:<br />
 coeffArray[0:103] = b[0,0], b[0,1]....b[0,9], b[1,0],b[1,1]....b[1,29],0,0,0....0 </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
